// Copyright 2019 Sorint.lab
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied
// See the License for the specific language governing permissions and
// limitations under the License.

package util

import (
	"crypto/sha1"
	"crypto/sha256"
	"encoding/hex"
)

// EncodeSha1Hex generates sha1 from string and returns its hex encoding
func EncodeSha1Hex(str string) string {
	h := sha1.New()
	// TODO(sgotti) must handle write errors
	h.Write([]byte(str))
	return hex.EncodeToString(h.Sum(nil))
}

// EncodeSha1Hex generates sha1 from string and returns its hex encoding
func EncodeSha256Hex(str string) string {
	h := sha256.New()
	// TODO(sgotti) must handle write errors
	h.Write([]byte(str))
	return hex.EncodeToString(h.Sum(nil))
}
